﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
/// Programing : Kambiz Dehghani
/// Site : www.SourceGozar.com
namespace TellBook
{
    public partial class frmAddEdit : Form
    {
        public frmAddEdit()
        {
            InitializeComponent();
        }
        int ID11;
        public int ID12;
        public int cou=1;
        public int getid()
        {
            // بانک را دریافت میکند و تعداد سطر های ان منهای یک را برابر با ردیف قرار میدهد 
            StreamReader sr = new StreamReader(Application.StartupPath + "\\database.txt");
            string all = sr.ReadToEnd();
            sr.Close();
            string[] records = all.Split('+');
            return records.Length - 1;
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            try
            {
           
                if (txtName.Text == "")
                {
                    MessageBox.Show("کاربر گرامی لطفا نام را وارد نماید", "کمبود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    txtName.Select();
                    return;
                }
                if (txtFamily.Text == "")
                {
                    MessageBox.Show("کاربر گرامی لطفا نام خانوادگی را وارد نماید", "کمبود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    txtFamily.Select();
                    return;
                }
                if (txtMobile.Text == "")
                {
                    MessageBox.Show("کاربر گرامی لطفا شماره موبایل را وارد نماید", "کمبود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    txtMobile.Select();
                    return;
                }
                if (txtAddress.Text == "")
                {
                    MessageBox.Show("کاربر گرامی لطفا آدرس را وارد نماید", "کمبود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    txtAddress.Select();
                    return;
                }
                if (cou == 1)
                {
                    //آی دی را دریافت  میکند
                    ID11 = getid();
                    //تکست درون تکست باکس ها را درون بانک مینویسد
                    StreamWriter sw = new StreamWriter(Application.StartupPath + "\\database.txt", true);
                    sw.Write(ID11 + ";" + txtName.Text + ";" + txtFamily.Text + ";" + txtMobile.Text + ";" + txtAddress.Text + ";" + "+");
                    sw.Close();
                    MessageBox.Show("کاربر گرامی مخاطب مورد نظر با موفقیت ثبت شد", "ثبت مخاطب", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                   
                    Close();
                    return;
                }
                if (cou ==0)
                {
                    //فایل را دریافت کرده و آن را تفکیک میکند و کلیه اطلاعات بدون اطلاعاتی که آی دی انها برابر با ایندکس میباشد را دوباره نویسی میکند 
                    int counter = 0;
                    string temp = "";
                    StreamReader sr = new StreamReader(Application.StartupPath + "\\database.txt", true);
                    string all = sr.ReadToEnd();
                    sr.Close();
                    string[] records = all.Split('+');
                    string index = ID12.ToString();
                    StreamWriter sw = new StreamWriter(Application.StartupPath + "\\database.txt", false);
                    for (int i = 0; i < records.Length - 1; i++)
                    {
                        string[] cells = records[i].Split(';');
                        if (cells[0] != index)
                        {
                            temp += counter

                                    + ";" + cells[1]
                                    + ";" + cells[2]
                                    + ";" + cells[3]
                                    + ";" + cells[4] + "+";

                            counter++;
                        }
                        else
                        {
                            temp += index
                                    + ";" + txtName.Text
                                    + ";" + txtFamily.Text
                                    + ";" + txtMobile.Text
                                    + ";" + txtAddress.Text + "+";

                            counter++;
                        }
                    }
                    sw.Write("");
                    sw.Write(temp);
                    sw.Close();
                    Close();
                }
                frmMain refresh = new frmMain();
                refresh.ShowList();
                MessageBox.Show("کاربر گرامی مخاطب مورد نظر با موفقیت ویرایش شد", "ویرایش مخاطب", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
            catch
            {
              MessageBox.Show("کاربر گرامی نرم افزار با مشکل مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
              return;
            }
        }

        private void frmAddEdit_Load(object sender, EventArgs e)
        {
            
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btnSave_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
                this.Close();
        }
    }
}
